[blfs-support] compilation error in Kde-workspace-4.11.21

Ken Moffat zarniwhoop at ntlworld.com
Thu Mar 10 14:27:18 PST 2016


On Thu, Mar 10, 2016 at 09:55:58PM +0100, Dr.-Ing. Edgar Alwers wrote:
> On Sun, 6 Mar 2016 18:45:00 +0000
> Ken Moffat <zarniwhoop at ntlworld.com> wrote:
> 
> > I finally gave up because I was told that mariadb (default for
> > akonadi - I failed to persuade it to use sqlite) needed to be
> > compiled _before_ qt4 : when I tried to rebuild qt4, it failed
> > (details in the thread).
> 
> Hi Ken,
> 
> well. As I built qt-4.8.7 some days ago, I did  ./configure with  "-plugin-sql-mysql", but this was not accepted, as I had not built MariaDB at that time. Now, I have MariaDB installed, but Akonadi, of course, is not working as it complains about a missing database driver ! So I went to rebuild qt4, with the addition  "-plugins-sql-mysql" in ./configure. To my astonishment, "make" crashes after more then 2 hours with a lot of complains about "»QWebPage« is not a Typ", "»WebAction« not declared" and so on. Cannot be true: I only add a plugin configuration, not rejected,  and the make process crashes ?
> 
> I need to recompile qt4 if I want to use kmail and company. Can you help ?
> 
> Edgar

That sounds similar to the error I posted on -dev, but perhaps not
identical.
http://lists.linuxfromscratch.org/pipermail/blfs-dev/2016-February/031694.html

And no, I cannot help - I stopped trying to build kde4 at that
point.  Sorry.

In my case, I had the impression that the broken rebuild seemed to
have borked other parts of kde4 - hopefully, I was mistaken [ I've
been seeing too much weirdness and sudden breakage in the last few
days ].

In theory, akonadi can be told to use sqlite - but the suggestions I
found for how to do that never worked for me, and there seems to be
some variation in where the akonadiserverrc file lives between
different distributions.

ĸen
-- 
This email was written using 100% recycled letters.


More information about the blfs-support mailing list